module Data.Qp (Qp (..), frac, fromRatio, toRatio) where

import qualified "base" Data.Ratio as Base

import Data.Np (Np)
import Data.Q.Private hiding (frac)

fromRatio :: Base.Ratio Natural -> Qp
fromRatio = toQp

toRatio :: Qp -> Base.Ratio Natural
toRatio = fromQp

frac :: Np -> Np -> Qp
frac = fracPos
